/** Recréation de la table ACCORDS.AVENANT_EVT_EVENEMENT */
CREATE TABLE ACCORDS.AVENANT_EVT_EVENEMENT
  (
    AVT_ORDRE NUMBER(38,0) NOT NULL,
    EVT_ID NUMBER(22,0) NOT NULL,
    PRIMARY KEY (AVT_ORDRE, EVT_ID) USING INDEX TABLESPACE GFC
  )
  TABLESPACE GFC ;
  COMMENT ON COLUMN ACCORDS.AVENANT_EVT_EVENEMENT.AVT_ORDRE
IS
  'Cle de l''avenant';
  COMMENT ON COLUMN ACCORDS.AVENANT_EVT_EVENEMENT.EVT_ID
IS
  'Cle de l''evenement';
  COMMENT ON TABLE ACCORDS.AVENANT_EVT_EVENEMENT
IS
  'Evenements lies aux conventions';

ALTER TABLE ACCORDS.AVENANT_EVT_EVENEMENT ADD (
  CONSTRAINT FK_AVENANT FOREIGN KEY (AVT_ORDRE) REFERENCES ACCORDS.AVENANT (AVT_ORDRE) DEFERRABLE INITIALLY DEFERRED) ;
  
  
/** Cette ligne nécessiste : GRANT REFERENCES on GRHUM.EVT_EVENEMENT TO ACCORDS; */  
/* 
 * Pose problème pour EOF si pas meme dico de connexion entre l' eomodel cocowork et l' eomodel evènement */
ALTER TABLE ACCORDS.AVENANT_EVT_EVENEMENT ADD (
  CONSTRAINT FK_EVENEMENT FOREIGN KEY (EVT_ID) REFERENCES GRHUM.EVT_EVENEMENT (EVT_ID) DEFERRABLE INITIALLY DEFERRED);  
 
  
  /** TODO : migrer les tables existantes : EVENEMENT, AVENANT_EVENEMENT, NATURE_EVENEMENT, REPART_INDIVIDU_EVT 
 *  vers les nouvelles tables de grhum...
 * */

/** Puis drop des objets    */
/* drop table ACCORDS.EVENEMENT;
drop sequence ACCORDS.EVENEMENT_SEQ;
drop table ACCORDS.AVENANT_EVENEMENT;
drop sequence ACCORDS.AVENANT_EVENEMENT_SEQ;
drop table ACCORDS.NATURE_EVENEMENT;
drop table ACCORDS.REPART_INDIVIDU_EVT;
drop sequence ACCORDS.REPART_INDIVIDU_EVT_SEQ; */
  
commit;
